Index: mythcontrols/actionset.h
===================================================================
--- mythcontrols/actionset.h	(revision 11460)
+++ mythcontrols/actionset.h	(working copy)
@@ -55,7 +55,9 @@
     /**
      * @brief Create a new, empty set of action bindings.
      */
-    inline ActionSet() {};
+    inline ActionSet()
+    {
+    }
 
     /**
      * @brief Add an action.
@@ -67,7 +69,7 @@
      * If the action has already been added, it will not be added
      * again.  There are no duplicate actions in the action set.
      */
-    bool addAction(const ActionID &id, const QString & description,
+    bool AddAction(const ActionID &id, const QString & description,
                    const QString &keys);
 
     /**
@@ -76,14 +78,14 @@
      * @param key The symbolic name of the key.
      * @return true if the key was added otherwise, false.
      */
-    bool add(const ActionID &id, const QString &key);
+    bool Add(const ActionID &id, const QString &key);
 
     /**
      * @brief Remove a key from an action identifier.
      * @param id The action identifier to remove from.
      * @param key The key to remove.
      */
-    bool remove(const ActionID &id, const QString &key);
+    bool Remove(const ActionID &id, const QString &key);
 
     /**
      * @brief Replace a specific key in a specific action.
@@ -91,20 +93,20 @@
      * @param newkey The new key.
      * @param oldkey The key to be replaced.
      */
-    bool replace(const ActionID &id, const QString &newkey,
+    bool Replace(const ActionID &id, const QString &newkey,
                  const QString &oldkey);
 
     /**
      * @brief Get a list of all contexts in the action set.
      * @return A list of all contexts.
      */
-    QStringList * contextStrings(void) const;
+    QStringList * ContextStrings(void) const;
 
     /**
      * @brief Get a list of all action in the action set.
      * @return A list of all actions in the action set.
      */
-    QStringList * actionStrings(const QString & context_name) const;
+    QStringList * ActionStrings(const QString & context_name) const;
 
     /**
      * @brief Get a string containing all the keys in bound to an
@@ -112,49 +114,55 @@
      * @param id The action's identifier.
      * @return null if there is no such action, otherwise, the keys.
      */
-    QString keyString(const ActionID &id) const;
+    QString KeyString(const ActionID &id) const;
 
     /**
      * @brief Get the keys bound to an action by it's identifier.
      * @param id The action identifier.
      * @return The keys used by the action.
      */
-    QStringList getKeys(const ActionID &id) const;
+    QStringList GetKeys(const ActionID &id) const;
 
     /**
      * @brief Get the description of an action.
      * @param id The action identifier.
      * @return The action description.
      */
-    const QString & getDescription(const ActionID &id) const;
+    const QString & GetDescription(const ActionID &id) const;
 
     /**
      * @brief Get the actions bound to the specified key.
      * @param key The key.
      * @return The list of actions, which are bound to the key.
      */
-    const ActionList & getActions(const QString &key) const;
+    const ActionList & GetActions(const QString &key) const;
 
     /**
      * @brief Get the appropriate container of modified actions based on
      * context.
      * @return The appropriate container of modified actions.
      */
-    inline const ActionList & getModified(void) const { return _modified; }
+    inline const ActionList & GetModified(void) const
+    {
+        return m_Modified;
+    }
 
     /**
      * @brief Determine if the action set has been modified.
      * @return True if changes have been made, otherwise, false.
      */
-    inline bool hasModified(void) const { return !(_modified.isEmpty()); }
+    inline bool HasModified(void) const
+    {
+        return !(m_Modified.isEmpty());
+    }
 
     /**
      * @brief Mark an action as unmodified.
      * @return true if the action was modified, and is set to unmodified.
      */
-    inline bool unmodify(const ActionID & id)
+    inline bool Unmodify(const ActionID & id)
     {
-        return (_modified.remove(id) > 0);
+        return (m_Modified.remove(id) > 0);
     }
 
     /**
@@ -162,16 +170,16 @@
      * @param id The action identifier.
      * @return true if the action is modified, otherwise, false.
      */
-    inline bool isModified(const ActionID &id)const { return !unmodified(id); }
+    inline bool IsModified(const ActionID &id)const { return !Unmodified(id); }
 
     /**
      * @brief Determine if an action is still unmodified.
      * @param id The action identifier.
      * @return true if the action has not been modified, otherwise, false.
      */
-    inline bool unmodified(const ActionID &id) const
+    inline bool Unmodified(const ActionID &id) const
     {
-        return (getModified().contains(id) == 0);
+        return (GetModified().contains(id) == 0);
     }
 
 protected:
@@ -180,35 +188,36 @@
      * @brief Mark an action as modified.
      * @param id The actio identifier.
      */
-    inline void modify(const ActionID &id)
+    inline void Modify(const ActionID &id)
     {
-        if (unmodified(id)) _modified.push_back(id);
+        if (Unmodified(id))
+            m_Modified.push_back(id);
     }
 
     /**
      * @brief Get an action by its identifier.
      * @return A pointer to the action.
      */
-    inline Action * action(const ActionID &id) const
+    inline Action * GetAction(const ActionID &id) const
     {
-        return context(id.context()) ?
-            (*context(id.context()))[id.action()] : NULL;
+        return GetContext(id.Context()) ?
+            (*GetContext(id.Context()))[id.Action()] : NULL;
     }
 
     /**
      * @brief Get a context by its identifier.
      * @return A pointer to the context.
      */
-    inline Context * context(const QString & name) const
+    inline Context * GetContext(const QString & name) const
     {
-        return this->_contexts[name];
+        return this->m_Contexts[name];
     }
 
 private:
 
-    QMap<QString, ActionList> _keymap;
-    QDict<Context> _contexts;
-    ActionList _modified;
+    QMap<QString, ActionList> m_KeyMap;
+    QDict<Context> m_Contexts;
+    ActionList m_Modified;
 };
 
 #endif /* ACTIONSET_H */
Index: mythcontrols/actionid.h
===================================================================
--- mythcontrols/actionid.h	(revision 11460)
+++ mythcontrols/actionid.h	(working copy)
@@ -41,7 +41,9 @@
     /**
      * @brief Create an empty action
      */
-    inline ActionID() {}
+    inline ActionID()
+    {
+    }
 
     /**
      * @brief Create a new action identifier.
@@ -49,37 +51,45 @@
      * @param action The action's name
      */
     inline ActionID(const QString & context, const QString & action)
-        : _context(context), _action(action) {};
+        : m_Context(context), m_Action(action)
+    {
+    }
 
     /**
      * @brief Get the context name.
      * @return The context name.
      */
-    inline QString context(void) const { return this->_context; }
+    inline QString Context(void) const
+    {
+        return m_Context;
+    }
 
     /**
      * @brief Get the action name
      * @return The action name.
      */
-    inline QString action(void) const { return this->_action; }
+    inline QString Action(void) const
+    {
+        return m_Action;
+    }
 
     /**
      * @brief Determine if two actions identifiers have the same
      * context.
      * @return True if the actions have a common context.
      */
-    inline static bool sameContext(const ActionID &a, const ActionID &b)
+    inline static bool SameContext(const ActionID &a, const ActionID &b)
     {
-        return (a.context() == b.context());
+        return (a.Context() == b.Context());
     }
 
     /**
      * @brief Determine if two actions have the same action name.
      * @return True if the actions have the same action name.
      */
-    inline static bool sameAction(const ActionID &a, const ActionID &b)
+    inline static bool SameAction(const ActionID &a, const ActionID &b)
     {
-        return (a.action() == b.action());
+        return (a.Action() == b.Action());
     }
 
     /**
@@ -89,12 +99,12 @@
      */
     inline bool operator == (const ActionID &that) const
     {
-        return (sameAction(*this,that) && sameContext(*this,that));
+        return (SameAction(*this,that) && SameContext(*this,that));
     }
 
 private:
-    QString _context;
-    QString _action;
+    QString m_Context;
+    QString m_Action;
 };
 
 
Index: mythcontrols/action.h
===================================================================
--- mythcontrols/action.h	(revision 11460)
+++ mythcontrols/action.h	(working copy)
@@ -41,13 +41,17 @@
 public:
 
     /**
-     * @brief Create a new empty action.
+     * Create a new empty action.
+     *
      * @param description The actions description.
      */
-    inline Action(const QString & description) : _description(description) {}
+    inline Action(const QString & description) : m_Description(description)
+    {
+    }
 
     /**
-     * @brief Create a new action.
+     * Create a new action.
+     *
      * @param description The description of the action.
      * @param keys The key sequence (strings) that trigger the action.
      *
@@ -58,86 +62,91 @@
     Action(const QString & description, const QString & keys);
 
     /**
-     * @brief Get the action description.
+     * Get the action description.
+     *
      * @return The action description.
      */
-    inline const QString & getDescription() const { return this->_description; }
+    inline const QString & GetDescription() const
+    {
+        return this->m_Description;
+    }
 
     /**
-     * @brief Get the key sequence(s) that trigger this action.
+     * Get the key sequence(s) that trigger this action.
+     *
      * @return The key sequence(s) that trigger this action.
      */
-    inline const QStringList & getKeys() const { return this->_keys; }
+    inline const QStringList & GetKeys() const
+    {
+        return this->m_Keys;
+    }
 
     /**
-     * @brief Get the keys as a string.
+     * Get the keys as a string.
+     *
      * @return QString::null or a comma delimited string of keys.
      */
-    inline QString keyString() const { return _keys.join(","); }
+    inline QString KeyString() const
+    {
+        return m_Keys.join(",");
+    }
 
     /**
-     * @brief Add a key sequence to this action.
+     * Add a key sequence to this action.
+     *
      * @param key The key to add to the action.
      * @return true if the key was added otherwise, false.
      */
-    bool addKey(const QString & key);
+    bool AddKey(const QString & key);
 
     /**
-     * @brief Remove a key from this action.
+     * Remove a key from this action.
+     *
      * @param key The key to remove.
      * @return true if the key is removed, otherwise, false.
      */
-    inline bool removeKey(const QString & key) { return (keys().remove(key)>0); }
+    inline bool RemoveKey(const QString & key)
+    {
+        return (m_Keys.remove(key)>0);
+    }
 
     /**
-     * @brief Replace a key.
+     * Replace a key.
+     *
      * @param newkey The new key.
      * @param oldkey The old key, which is being replaced.
      */
-    bool replaceKey(const QString & newkey, const QString & oldkey);
+    bool ReplaceKey(const QString & newkey, const QString & oldkey);
 
     /**
-     * @brief Determine if the action already has a key.
+     * Determine if the action already has a key.
+     *
      * @param key The key to check for.
      * @return true if the key is already bound in this action,
      * otherwise, false is returned.
      */
-    bool hasKey(const QString & key) const;
+    bool HasKey(const QString & key) const;
 
     /**
-     * @brief Get the index of a key.
-     * @param key The string containing the key.
-     * @return The index of the key, which will be less than zero if the
-     * key does not exist.
-     */
-
-    /**
-     * @brief Determine if the action has any keys at all.
+     * Determine if the action has any keys at all.
+     *
      * @return true if the action has keys, otherwise, false.
      */
-    inline bool empty(void) const { return (_keys.size() > 0); }
+    inline bool IsEmpty(void) const
+    {
+        return (m_Keys.size() > 0);
+    }
 
-    /** @brief The maximum number of keys that can be bound to an action. */
+    /** The maximum number of keys that can be bound to an action. */
     static const unsigned short MAX_KEYS = 4;
 
-protected:
+private:
 
-    /**
-     * @brief Get a reference to the action description.
-     * @return A reference to the action description.
-     */
-    inline QString & description() { return this->_description; }
+    /** The actions description. */
+    QString m_Description;
 
-    /**
-     * @brief Get a reference to actions the key sequences.
-     * @return A reference to actions the key sequences.
-     */
-    inline QStringList & keys() { return this->_keys; }
-
-private:
-
-    QString _description;
-    QStringList _keys;
+    /** The keys bound to the action. */
+    QStringList m_Keys;
 };
 
 #endif /* ACTION_H */
Index: mythcontrols/keygrabber.h
===================================================================
--- mythcontrols/keygrabber.h	(revision 11460)
+++ mythcontrols/keygrabber.h	(working copy)
@@ -48,7 +48,10 @@
     /**
      * @brief Get the string containing the captured key event.
      */
-    inline QString getCapturedKey() { return this->captured_key_event; }
+    inline QString GetCapturedKey()
+    {
+        return this->m_CapturedKeyEvent;
+    }
 
 public slots:
 
@@ -58,14 +61,20 @@
      * The QString provided in the constructor will be set to the
      * captured key value.
      */
-    inline void acceptBinding(void) { done(1); }
+    inline void AcceptBinding(void)
+    {
+        done(1);
+    }
 
     /**
      * @brief Reject the captured key binding.
      *
      * The QString provided in the constructor will be set to NULL.
      */
-    inline void cancel(void) { done(0); }
+    inline void Cancel(void)
+    {
+        done(0);
+    }
 
 protected:
 
@@ -83,12 +92,12 @@
 
 private:
 
-    bool is_capturing;
-    bool has_captured;
-    QString captured_key_event;
-    QButton *ok_button;
-    QButton *cancel_button;
-    QLabel *key_label;
+    bool m_IsCapturing;
+    bool m_HasCaptured;
+    QString m_CapturedKeyEvent;
+    QButton *m_OkButton;
+    QButton *m_CancelButton;
+    QLabel *m_KeyLabel;
 };
 
 
@@ -120,13 +129,19 @@
     /**
      * @brief Execute the error popup
      */
-    inline int getOption(void) { return ExecPopup(this,SLOT(finish())); }
+    inline int GetOption(void)
+    {
+        return ExecPopup(this, SLOT(Finish()));
+    }
 
 protected slots:
     /**
      * @brief Close the popup.
      */
-    inline void finish(void) { done(0); }
+    inline void Finish(void)
+    {
+        done(0);
+    }
 };
 
 
@@ -151,20 +166,28 @@
     /**
      * @brief Execute the option popup.
      */
-    inline int getOption(void) { return ExecPopup(this,SLOT(cancel())); }
+    inline int GetOption(void)
+    {
+        return ExecPopup(this,SLOT(Cancel()));
+    }
 
 public slots:
 
     /**
      * @brief Slot to connect to when the save button is pressed.
      */
-    inline void save(void) { done(OptionsMenu::SAVE); }
+    inline void Save(void)
+    {
+        done(OptionsMenu::SAVE);
+    }
 
     /**
      * @brief Slot to connect to when the cancel button is pressed.
      */
-    inline void cancel(void) { done(OptionsMenu::CANCEL); }
-
+    inline void Cancel(void)
+    {
+        done(OptionsMenu::CANCEL);
+    }
 };
 
 
@@ -180,7 +203,11 @@
 
 public:
 
-    enum actions { SET, REMOVE, CANCEL };
+    enum actions {
+        SET,
+        REMOVE,
+        CANCEL
+    };
 
     /**
      * @brief Create a new action window.
@@ -190,24 +217,36 @@
     /**
      * @brief Execute the option popup.
      */
-    inline int getOption(void) { return ExecPopup(this,SLOT(cancel())); }
+    inline int GetOption(void)
+    {
+        return ExecPopup(this, SLOT(Cancel()));
+    }
 
 public slots:
 
     /**
      * @brief Slot to connect to when the set button is pressed.
      */
-    inline void set(void) { done(ActionMenu::SET); }
+    inline void Set(void)
+    {
+        done(ActionMenu::SET);
+    }
 
     /**
      * @brief Slot to connect to when the remove button is pressed.
      */
-    inline void remove(void) { done(ActionMenu::REMOVE); }
+    inline void Remove(void)
+    {
+        done(ActionMenu::REMOVE);
+    }
 
     /**
      * @brief Slot to connect to when the cancel button is pressed.
      */
-    inline void cancel(void) { done(ActionMenu::CANCEL); }
+    inline void Cancel(void)
+    {
+        done(ActionMenu::CANCEL);
+    }
 
 };
 
@@ -222,7 +261,11 @@
 
 public:
 
-    enum actions { SAVE, EXIT };
+    enum actions
+    {
+        SAVE,
+        EXIT
+    };
 
     /**
      * @brief Create a new action window.
@@ -232,20 +275,28 @@
     /**
      * @brief Execute the option popup.
      */
-    inline int getOption(void) { return ExecPopup(this,SLOT(cancel())); }
+    inline int GetOption(void)
+    {
+        return ExecPopup(this, SLOT(Cancel()));
+    }
 
 public slots:
 
     /**
      * @brief Slot to connect to when the save button is pressed.
      */
-    inline void save(void) { done(UnsavedMenu::SAVE); }
+    inline void Save(void)
+    {
+        done(UnsavedMenu::SAVE);
+    }
 
     /**
      * @brief Slot to connect to when the cancel button is pressed.
      */
-    inline void cancel(void) { done(UnsavedMenu::EXIT); }
-
+    inline void Cancel(void)
+    {
+        done(UnsavedMenu::EXIT);
+    }
 };
 
 /**
@@ -259,7 +310,11 @@
 
 public:
 
-    enum actions { CONFIRM, CANCEL };
+    enum actions
+    {
+        CONFIRM,
+        CANCEL
+    };
 
     /**
      * @brief Create a new action window.
@@ -269,18 +324,27 @@
     /**
      * @brief Execute the option popup.
      */
-    inline int getOption(void) { return ExecPopup(this,SLOT(cancel())); }
+    inline int GetOption(void)
+    {
+        return ExecPopup(this,SLOT(Cancel()));
+    }
 
 public slots:
 
     /**
      * @brief Slot to connect to when the save button is pressed.
      */
-    inline void confirm(void) { done(UnsavedMenu::SAVE); }
+    inline void Confirm(void)
+    {
+        done(UnsavedMenu::SAVE);
+    }
 
     /**
      * @brief Slot to connect to when the cancel button is pressed.
      */
-    inline void cancel(void) { done(UnsavedMenu::EXIT); }
+    inline void Cancel(void)
+    {
+        done(UnsavedMenu::EXIT);
+    }
 
 };
Index: mythcontrols/main.cpp
===================================================================
--- mythcontrols/main.cpp	(revision 11460)
+++ mythcontrols/main.cpp	(working copy)
@@ -38,8 +38,10 @@
 extern "C" int mythplugin_init(const char *libversion)
 {
     if (!gContext->TestPopupVersion("mythcontrols", libversion,
-                                    MYTH_BINARY_VERSION)) return -1;
-    else return 0;
+                                    MYTH_BINARY_VERSION))
+        return -1;
+    else
+        return 0;
 }
 
 
@@ -68,7 +70,6 @@
         MythPopupBox::showOkPopup(window, "Theme Error", "Could not load the "
                                   "keybinding plugin's theme.  Check the "
                                   "console for detailed output.");
-
         return -1;
     }
 }
@@ -79,7 +80,10 @@
  * @brief Configures the plugin.
  * @return zero.
  */
-extern "C" int mythplugin_config (void) { return 0; }
+extern "C" int mythplugin_config (void)
+{
+    return 0;
+}
 
 
 
